Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface DescriptorAccess

All Known Implementing Classes:
  ModelMBeanAttributeInfo, ModelMBeanConstructorInfo, ModelMBeanNotificationInfo, ModelMBeanOperationInfo

    public interface DescriptorAccess

This interface is used to gain access to descriptors of the Descriptor class which are associated with a JMX component, i.e. MBean, MBeanInfo, MBeanAttributeInfo, MBeanNotificationInfo, MBeanOperationInfo, MBeanParameterInfo.

ModelMBeans make extensive use of this interface in ModelMBeanInfo classes.

Since:
  1.5

Method Summary
`Descriptor` | `getDescriptor()` Returns a copy of Descriptor.
`void` | `setDescriptor(Descriptor inDescriptor)` Sets Descriptor (full replace).

Method Detail

### getDescriptor

    Descriptor getDescriptor()

  Returns a copy of Descriptor.

  Returns:
    Descriptor associated with the component implementing this interface. Null should never be returned. At a minimum a default descriptor with the descriptor name and descriptorType should be returned.
  See Also:
    `setDescriptor(javax.management.Descriptor)`

### setDescriptor

    void setDescriptor(Descriptor inDescriptor)

  Sets Descriptor (full replace).

  Parameters:
    `inDescriptor` - replaces the Descriptor associated with the component implementing this interface. If the inDescriptor is invalid for the type of Info object it is being set for, an exception is thrown. If the inDescriptor is null, then the Descriptor will revert to its default value which should contain, at a minimum, the descriptor name and descriptorType.
  See Also:
    `getDescriptor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.